function DATAinsert = cellMakerSL(IDcentralina,DTcatena,NodeNum,ListaDate,...
    ARRAYdateSL,Snow,SnowCum,cSL,ErrSnowLink)

l = ListaDate;
DATAinsert = cell(l,8);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateSL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateSL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Snow(ii,cSL);
    DATAinsert{ii,7} = SnowCum(ii,cSL);
    DATAinsert{ii,8} = ErrSnowLink(cSL,ii);
end

end